to_tuple.hpp File Reference
`#include <msgpack/preprocessor/array/data.hpp>`
`#include <msgpack/preprocessor/array/size.hpp>`
`#include <msgpack/preprocessor/control/if.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_TO_TUPLE(array)
#define | MSGPACK_PP_ARRAY_TO_TUPLE_EMPTY(array)

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_TO_TUPLE

#define MSGPACK_PP_ARRAY_TO_TUPLE | ( |  | array | ) |

Value:
MSGPACK_PP_IF \
( \
MSGPACK_PP_ARRAY_SIZE(array), \
MSGPACK_PP_ARRAY_DATA, \
MSGPACK_PP_ARRAY_TO_TUPLE_EMPTY \
) \
(array) \
MSGPACK_PP_IF
#define MSGPACK_PP_IF(cond, t, f)
Definition: if.hpp:26

## MSGPACK_PP_ARRAY_TO_TUPLE_EMPTY

#define MSGPACK_PP_ARRAY_TO_TUPLE_EMPTY | ( |  | array | ) |